mia-3dserial-nonrigid
Prev | Registration of series of 3D images | Next

### mia-3dserial-nonrigid

#### Sysnopis:

`mia-3dserial-nonrigid` {-i `string`} [ `options` ...] [ `Plugin type: 3dimage/fullcost` ...]

#### Description:

This program runs the image registration of a consecutively numbered image series. The registration is run in a serial manner, this is, only images in temporal succession (i.e. consecutive numbers) are registered, and the obtained transformations are applied accumulated to reach full registration.

#### Options:

#### File-IO

-i, --in-file=(input, required); string

  input perfusion data set

-o, --out-file=(output); string

  file name for registered fiels

#### Registration

-O, --optimizer=gsl:opt=gd,step=0.1; factory

  Optimizer used for minimization. For supported plug-ins see Plugin type: minimizer/singlecost

-l, --mg-levels=3; ulong

  multi-resolution levels

-f, --transForm=spline; factory

  transformation type. For supported plug-ins see Plugin type: 3dimage/transform

-r, --ref=-1; int

  reference frame (-1 == use image in the middle)

#### Help & Info

-V, --verbose=warning; dict

  verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

  trace: | Function call trace
  debug: | Debug output
  info: | Low level messages
  message: | Normal messages
  warning: | Warnings
  fail: | Report test failures
  error: | Report errors
  fatal: | Report only fatal errors

--copyright=(); bool

  print copyright information

-h, --help=(); bool

  print this help

-?, --usage=(); bool

  print a short help

--version=(); bool

  print the version number and exit

#### Processing

--threads=-1; int

  Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

#### Example:

Run a serial registration of images inputXXXX.v (X digit) to reference image 20 and store the result in regXXXX.v. Optimize the sum of squared differences and spline transformations with coefficient rate 10.

    mia-3dserial-nonrigid -i input0000.v -o 'reg%04d.v' -f spline:rate=10 -r 20 ssd

#### Author(s):

Gert Wollny

Prev | Up | Next
mia-3dprealign-nonrigid | Home | Tools for the Analysis of 3D image series